Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class Alignment.SymbolListIterator

    java.lang.Object
      org.biojava.bio.symbol.Alignment.SymbolListIterator

All Implemented Interfaces:
  Iterator

Enclosing interface:
  Alignment

    public static class Alignment.SymbolListIterator

extends Object
implements Iterator

Iterator implementation looping over symbol lists in an alignment using the labels. This is intended for Alignment implementors.

Author:
  Matthew Pocock

Constructor Summary
`Alignment.SymbolListIterator(Alignment ali)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alignment.SymbolListIterator

    public Alignment.SymbolListIterator(Alignment ali)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD